{% load i18n static wagtailcore_tags wagtailimages_tags wagtailsettings_tags sponsor_tags %}
{% wagtail_site as current_site %}
{% get_settings %}
<!DOCTYPE HTML>
<html lang="fr-CH">
    <head>
        <title>
            {% block page_title %}{{ page.title }}{% endblock %}, {{ current_site.site_name }}
        </title>

        {# Meta #}
        <meta charset="UTF-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1">

        {# CSS #}
        <link href="{% static 'rhl/bootstrap-5.3.1-dist/css/bootstrap.min.css' %}" rel="stylesheet">
        <link href="{% static 'rhl/bootstrap-icons-1.10.5/font/bootstrap-icons.css' %}" rel="stylesheet">
        <link rel="stylesheet" href="{% static 'rhl/css/style_screen.css' %}" type="text/css" media="screen" />
        
    </head>
    <body>

        {# Website name and menus #}
        <header>
            
            {# All in one navbar #}
            <nav class="navbar navbar-expand-lg navbar-dark px-5" aria-label="Zone de navigation principale">

                {# Skip to content link #}
                <a class="skip-to-content-link" href="#main" aria-label="Sauter vers le contenu">
                    Sauter vers le contenu
                </a>
                
                <div class="container-fluid">

                    {# Brand #}
                    <a class="navbar-brand" href="/" aria-label="Aller à la racine du site">
                        RHL24
                    </a>

                    {# Navigation menu and its collapse button #}
                    <div class="d-flex">
                        {# Button for collapsed navigation menu #}
                        <button class="navbar-toggler me-2" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Ouvrir/fermer menu principal">
                            <span class="navbar-toggler-icon"></span>
                        </button>

                        {# Navigation menu #}
                        <div class="collapse navbar-collapse" id="navbarSupportedContent">
                            {% block main_menu %}
                                {% wagtail_site as current_site %}
                                {% include "includes/main_navigation_menu.html" with site=current_site current_page=page %}
                            {% endblock %}
                        </div>

                    </div>

                    {# Connection menu #}
                    <div class="connection_menu">

                    </div>
                </div>
            </nav>
            
        </header>

        
        {# Main part of the page #}
        <main id="main">
            {% block main %}{% endblock %}
        </main>


        {# Usefull links and sponsors grid #}
        <footer>
            <div class="container-fluid vstack gap-5 px-5 py-3">

                {# Usefull links #}
                <div class="usefull_links vstack gap-3 my-2" aria-labelledby="site_usefull_links_heading" role="navigation">

                    <h2 id="site_usefull_links_heading">
                        Liens utiles
                    </h2>
                    <ul class="vstack gap-3">
                        {% block usefull_links %}
                            {% for usefull_link in settings.base.UsefullLinksSettings.usefull_links.all %}

                                {# One usefull link #}
                                <li>
                                    <a href="{% pageurl usefull_link.page %}" aria-label="Aller à la page: {{ usefull_link.page.title }}">
                                        {{ usefull_link.page.title }}
                                    </a>
                                </li>
                                
                            {% endfor %}
                        {% endblock %}
                    </ul>
                </div>

                {# Sponsors grid #}
                {% block sponsors_grid %}
                    {% get_sponsor_list  as sponsor_list %}

                    {% if sponsor_list.count > 0 %}
                        <div aria-labelledby="sponsors_heading">
                            <h2 id="sponsors_heading">
                                Sponsors
                            </h2>
                            
                            <div class="sponsors_grid my-4">

                                {% for sponsor in sponsor_list %}
                                    <div class="sponsor p-2 rounded"
                                         aria-label="Sponsor: {{ sponsor.name }}">
                                        {% image sponsor.logo max-150x150 alt=sponsor.logo_description class="img-thumbnail" %}
                                    </div>
                                {% endfor %}

                            </div>
                        </div>
                    {% endif %}
                {% endblock %}

            </div>
        </footer>

        <script src="{% static 'rhl/bootstrap-5.3.1-dist/js/bootstrap.bundle.min.js' %}"></script>
    </body>
</html>
